DPTCON(3f)

NAME
DPTCON - the reciprocal of the condition number (in the 1-norm) of a real symmetric positive definite tridiagonal matrix using the factorization A = L*D*L**T or A = U**T*D*U computed by DPTTRF

SYNOPSIS

SUBROUTINE DPTCON(
    N, D, E, ANORM, RCOND, WORK, INFO )

INTEGER
    INFO, N

DOUBLE
    PRECISION ANORM, RCOND

DOUBLE
    PRECISION D( * ), E( * ), WORK( * )

PURPOSE
DPTCON computes the reciprocal of the condition number (in the 1-norm) of a real symmetric positive definite tridiagonal matrix using the factorization A = L*D*L**T or A = U**T*D*U computed by DPTTRF. Norm(inv(A)) is computed by a direct method, and the reciprocal of the condition number is computed as
             RCOND = 1 / (ANORM * norm(inv(A))).

ARGUMENTS

N       (input) INTEGER
    The order of the matrix A. N >= 0.

D       (input) DOUBLE PRECISION array, dimension (N)
    The n diagonal elements of the diagonal matrix D from the factorization of A, as computed by DPTTRF.

E       (input) DOUBLE PRECISION array, dimension (N-1)
    The (n-1) off-diagonal elements of the unit bidiagonal factor U or L from the factorization of A, as computed by DPTTRF.

ANORM   (input) DOUBLE PRECISION
    The 1-norm of the original matrix A.

RCOND   (output) DOUBLE PRECISION
    The reciprocal of the condition number of the matrix A, computed as RCOND = 1/(ANORM * AINVNM), where AINVNM is the 1-norm of inv(A) computed in this routine.

WORK    (workspace) DOUBLE PRECISION array, dimension (N)

INFO    (output) INTEGER
    = 0: successful exit
    < 0: if INFO = -i, the i-th argument had an illegal value

FURTHER DETAILS
The method used is described in Nicholas J. Higham, "Efficient Algorithms for Computing the Condition Number of a Tridiagonal Matrix", SIAM J. Sci. Stat. Comput., Vol. 7, No. 1, January 1986.